Remove newer version as this is only causing issues